package com.tykj.dev.device.repair.service;

import com.tykj.dev.device.repair.subject.domin.RepairBill;
import com.tykj.dev.device.repair.subject.vo.RepairBillSelectVo;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

/**
 * @author dengdiyi
 */
public interface RepairBillService {

    RepairBill addEntity(RepairBill deviceRepairBillEntity);

    Page<RepairBill> getPage(RepairBillSelectVo deviceRepairBillSelectVo, Pageable pageable);

    RepairBill getOne(Integer id);

    RepairBill update(RepairBill deviceRepairBillEntity);

    void delete(Integer id);
}
